Foxit PDF RDK

Public Member Functions | Public Attributes | List of all members
CertificateEncryptData Class Reference
Inheritance diagram for CertificateEncryptData:

## Public Member Functions
| constructor ()
| Constructor.
| constructor (is_encrypt_metadata, cipher, envelopes)
| Constructor, with parameters. More...
| Set (is_encrypt_metadata, cipher, envelopes)
| Set value. More...
Public Member Functions inherited from NativeObjectWrapper
| constructor (r)
| GetPointerAsNumber ()

## Public Attributes
| cipher
| Cipher type. Please refer to values starting from SecurityHandler.e_CipherRC4 and this should be one of these values except SecurityHandler.e_CipherNone.
| envelopes
| A string array which specifies an array of certificate envelopes. This array should contains one or more envelopes.
| is_encrypt_metadata
| A boolean value to decide whether to encrypt metadata or not. true means to encrypt metadata, and false means not to encrypt metadata.

## Detailed Description

This class represents some data used for class CertificateSecurityHandler.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Function Documentation

## ◆ constructor()

CertificateEncryptData.constructor | ( | is_encrypt_metadata | ,
|  | cipher | ,
|  | envelopes |
| ) |  |

Constructor, with parameters.

Parameters

  [in] | is_encrypt_metadata | true means to encrypt metadata, and false means not to encrypt metadata.
  [in] | cipher | Cipher type. Please refer to values starting from SecurityHandler.e_CipherRC4 and this should be one of these values except SecurityHandler.e_CipherNone.
  [in] | envelopes | A string array which specifies an array of certificate envelopes. This array should contains one or more envelopes.

## ◆ Set()

CertificateEncryptData.Set | ( | is_encrypt_metadata | ,
|  | cipher | ,
|  | envelopes |
| ) |  |

Set value.

Parameters

  [in] | is_encrypt_metadata | true means to encrypt metadata, and false means not to encrypt metadata.
  [in] | cipher | Cipher type. Please refer to values starting from SecurityHandler.e_CipherRC4 and this should be one of these values except SecurityHandler.e_CipherNone.
  [in] | envelopes | A string array which specifies an array of certificate envelopes. This array should contains one or more envelopes.

Returns
  None.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.